Subject: Re: zone router

From: Walt Reed <[email-masked]>
Date: Thu, 22 Mar 2001 17:28:47 -0800

well, the second nic would make your linux box a router, in the true 
sense.  think of a zone as a physical network.  you don't just 
separate macs into zones, like you would pc's into windows 
workgroups.  instead zones are a way to allow machines to talk to 
each other although they are physically separate (such as on another 
floor, or another building).  CAP may have a different way of 
seeding, the configs would probably tell you a lot.  you'll notice 
that the -seed option only works with multiple interfaces, in this 
case a nic card.

have you tried using both machines on the network @ the same time? 
i'd be interested in what happens.  my thinking is that the CAP 
machine would seed your zones, and netatalk might use them better. 
just another option.

w

>I'm confused :) What would the function of the second nic be? We actually
>have a second one in the machine, it's just not doing anything. We have
>two subnets, however all the macs are in one subnet as the server.
>
>I've not found a good explanation of appletalk networking, so I think I'm
>missing what the function of the second nic would be and how it should
>be configured. Cap is happy with just 1 nic and multiple zones, but I wanted
>to move to netatalk because cap doesn't handle resource forks very well.
>
>On Thu, 22 Mar 2001, Walt Reed wrote:
>
>>  hate to reply to my own posts but i looked into it a bit more and saw
>>  that your -router may route between appletalk networks on a single
>>  interface, but i beleive you need something to "seed" the networks
>>  (such as the CAP machine) before this will work.  with multiple
>>  interfaces (let's face it, you can get them for $15-$20 on an intel
>>  box) and the -seed option i think your problems would disappear.
>>
>>  w
>>
>>  ?hey chad,
>>
>>  i may be way off base here, but don't appletalk routers need to have
>>  a separate interface for each zone?  i used one back in the day that
>>  routed between 2 floors (i believe it was a farallon pathfinder) and
>>  you basically hooked one end to each network, or zone.  all the
>>  machines on each network had to physically reside in the same area.
>>  does you old sun box have more than one ethernet card?  i noticed
>>  your linux box does not.  if the sun has more than one ethernet card,
>>  (or maybe not, since i don't know the capabilities of CAP) you should
>>  look into getting some more for the linux box.  besides, you'll get
>>  better throughput.
>>
>>  w
>>
>>
>>  >As far as I know, there are no other appletalk routers. Is there any way
>>  >to scan for it? But when I shut down the netatalk or CAP server, the macs
>>  >say appletalk is gone and register no zones, so I would think that would
>>  >mean that there isn't another router running, right?
>>  >
>>  >This is very strange...
>>  >
>>  >On Thu, 22 Mar 2001, alan premselaar wrote:
>>  >
>>  >>   do you have any other appletalk routers on your network?
>>  >>
>>  >>   when the macs see the zones in the chooser (after clicking on 
>>appleshare),
>>  >>   what zone(s) does the linux server show up in?
>>  >>
>>  >>   more than likely you've got another appletalk router somewhere on your
>>  >>   network and it has conflicting zone information.
>>  >>
>>  >>   alan
>>  >>
>>  >>   At 1:12?? -0500 3.22.01, Chad Cunningham wrote:
>>  >>   >Hi,
>>  >>   >
>>  >>   >I had rebooted them, didn't do anything. I tried opening the appletalk
>>  >>   >control panel and switching the appletalk connection off of 
>>ethernet and
>>  >>   >then back. This gave me all the zones, but for some reason 
>>every computer
>>  >>   >was in every zone... Also, after about 2 minutes, the mac 
>>would lose all
>>  >>   >it's zones and say that the appletalk network has become 
>>unavailable...
>>  >>   >
>>  >>   >On Thu, 22 Mar 2001, alan premselaar wrote:
>>  >>   >
>>  >>   > > Chad,
>>  >>   > >
>>  >>   > >   Once you make a change to your appletalk network like 
>>that, you'll
>>  >>   >need to
>>  >>   > > either a) reboot your macs, or b) open up the appletalk
>>  >>control panel on
>>  >>   > > each of them... at which point it should tell you that 
>>your appletalk
>>  >>   > > network setting is no longer valid and re-probe the 
>>ethernet device for
>>  >>   > > zones, etc.  In some cases, i've had to switch the 
>>appletalk from the
>>  >>   > > ethernet device to the printerport (or something else) and
>>  >>back before it
>>  >>   > > would recognize the new zones.
>>  >>   > >
>>  >>   > > alan
>>  >>   > >
>>  >>   > > At 11:26?? -0500 3.22.01, Chad Cunningham wrote:
>>  >>   > > >Hi,
>>  >>   > > >
>>  >>   > > >I am trying to replace a Solaris box running CAP with a
>>  >>linux box running
>>  >>   > > >netatalk. I can't seem to get zones to work properly under the new
>>  >>   > > >netatalk setup. My atalkd.conf looks like
>>  >>   > > >
>>  >>   > > >eth0 -router -phase 2 -net 0-65534 -addr 257.249 -zone
>>  >>"Staff" -zone "RTL"
>>  >>   > > >-zone "Faculty" -zone "EMPT" -zone "Public"
>>  >>   > > >
>>  >>   > > >It seems happy with this, the atalkd.conf doesn't get
>>  >>overwritten when I
>>  >>   > > >start up and I can use getzones and they all show up.
>>  >>However, none of the
>>  >>   > > >macs recognize any zones. Any idea why this might be?
>>  >>   > > >
>>  >>   > > > --
>>  >>   > > >
>>  >>   > > >Chad Cunningham
>>  >>   > > >[email-masked]
>>  >>   > > >
>>  >>   > > >"Well, once again my friend, we find that science is a two-headed
>>  >>   >beast. One
>>  >>   > > >head is nice, it gives us aspirin and other modern
>>  >>conveniences,...but the
>>  >>   > > >other head of science is bad! Oh beware the other head of science,
>>  >>   >Arthur, it
>>  >>   > > >bites!"
>>  >>   > >
>>  >>   > > ----
>>  >>   > >   there's nothing like the undying sense of reliability
>>  >>provided by modern
>>  >>   > > technology.
>>  >>   > > ----
>>  >>   > > alan premselaar
>>  >>   > > [email-masked]
>>  >>   > > www.12inch.com
>>  >>   > >
>>  >>   >
>>  >>   >--
>>  >>   >
>>  >>   >Chad Cunningham
>>  >>   >[email-masked]
>>  >>   >
>>  >>   >"Well, once again my friend, we find that science is a
>>  >>two-headed beast. One
>>  >>   >head is nice, it gives us aspirin and other modern 
>>conveniences,...but the
>>  >>   >other head of science is bad! Oh beware the other head of
>>  >>science, Arthur, it
>>  >>   >bites!"
>>  >>
>>  >>   ----
>>  >>     there's nothing like the undying sense of reliability 
>>provided by modern
>>  >>   technology.
>>  >>   ----
>>  >>   alan premselaar
>>  >>   [email-masked]
>>  >>   www.12inch.com
>>  >>
>>  >
>>  >--
>>  >
>>  >Chad Cunningham
>>  >[email-masked]
>>  >
>>  >"Well, once again my friend, we find that science is a two-headed 
>>beast. One
>>  >head is nice, it gives us aspirin and other modern conveniences,...but the
>>  >other head of science is bad! Oh beware the other head of 
>>science, Arthur, it
>>  >bites!"
>>
>
>--
>
>Chad Cunningham
>[email-masked]
>
>"Well, once again my friend, we find that science is a two-headed beast. One
>head is nice, it gives us aspirin and other modern conveniences,...but the
>other head of science is bad! Oh beware the other head of science, Arthur, it
>bites!"